---
title: AudioListener.speedOfSound
slug: Web/API/AudioListener/speedOfSound
tags:
  - API
  - AudioListener
  - Deprecated
  - Property
  - Reference
  - Web Audio API
  - speedOfSound
---
<div>{{ APIRef("Web Audio API") }}{{deprecated_header}}</div>

<p>The <strong><code>speedOfSound</code></strong> property of the {{ domxref("AudioListener") }} interface is a double value representing the speed of sound, in <em>meters per second</em>.</p>

<p>The <code>speedOfSound</code> property's default value is <code>343.3</code> m/s and is used to calculate the <a href="http://en.wikipedia.org/wiki/Doppler_effect">doppler shift</a> appropriate for the speed the panner is travelling at (as defined by {{domxref("PannerNode.setVelocity")}}.)</p>

<div class="note">
<p><strong>Note</strong>: Bear in mind that no propagation delay is automatically applied to a sound far from the listener.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>audioCtx</em> = new AudioContext();
var <em>myListener</em> = <em>audioCtx</em>.listener;
<em>myListener</em>.speedOfSound = 343.3;
</pre>

<h3 id="Value">Value</h3>

<p>A double.</p>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createPanner","Example")}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.AudioListener.speedOfSound")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
